Bug 232963 - finance/aqmoney: deprecate port seems not supported upstream anymore
Summary: finance/aqmoney: deprecate port seems not supported upstream anymore
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-04 13:54 UTC by w.schwarzenfeld
Modified: 2019-02-06 00:29 UTC (History)
2 users (show)

See Also:


Attachments
svn-diff-aqmoney (1.54 KB, patch)
2018-11-04 13:54 UTC, w.schwarzenfeld
no flags Details | Diff
svn-diff-deprecate-aqmoney (1.54 KB, patch)
2018-11-25 22:41 UTC, w.schwarzenfeld
no flags Details | Diff
svn-diff-deprecate-aqmoney_v2 (398 bytes, patch)
2019-02-05 16:09 UTC, w.schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description w.schwarzenfeld freebsd_triage 2018-11-04 13:54:24 UTC
Created attachment 198942 [details]
svn-diff-aqmoney

Unbreak:

dump.cpp:1069:33: error: invalid suffix on literal; C++11 requires a space
between literal and identifier [-Wreserved-user-defined-literal]
    result+="content=\"AqMoney "k_AQMONEY_VERSION_STRING"\">\n";
Comment 1 Tilman Keskinoz freebsd_committer 2018-11-25 20:57:58 UTC
openhbci still doesn't build with openssl 1.1.1 so this doesn't build either...
Comment 2 w.schwarzenfeld freebsd_triage 2018-11-25 22:18:09 UTC
Openhbsci is no longer supported upstream. Seem we have to deprecate the port.

http://openhbci.sourceforge.net/download.html
=> OpenHBCI is now outdated and no longer maintained.
Comment 3 w.schwarzenfeld freebsd_triage 2018-11-25 22:30:05 UTC
Is "now" aqmoney2 (but is also last updated 2013).
https://sourceforge.net/projects/aqmoney/files/latest/download
Comment 4 w.schwarzenfeld freebsd_triage 2018-11-25 22:41:07 UTC
Created attachment 199561 [details]
svn-diff-deprecate-aqmoney

Deprecate port aqmoney seems not supported upstream anymore. Successor is aqmoney.
Comment 5 w.schwarzenfeld freebsd_triage 2018-11-25 22:41:48 UTC
Correct: Successor is aqbanking.
Comment 6 Koichiro Iwao freebsd_committer 2019-02-05 14:08:40 UTC
The patch doesn't seem deprecating the port.
Comment 7 w.schwarzenfeld freebsd_triage 2019-02-05 16:09:41 UTC
Created attachment 201769 [details]
svn-diff-deprecate-aqmoney_v2

Update patch.
Comment 8 commit-hook freebsd_committer 2019-02-06 00:27:49 UTC
A commit references this bug:

Author: meta
Date: Wed Feb  6 00:27:18 UTC 2019
New revision: 492282
URL: https://svnweb.freebsd.org/changeset/ports/492282

Log:
  finance/aqmoney: deprecate the port

  as this seems no longer supported in upstream and depends on deprecated port.

  PR:		232963
  Submitted by:	w.schwarzenfeld@utanet.at

Changes:
  head/finance/aqmoney/Makefile
Comment 9 Koichiro Iwao freebsd_committer 2019-02-06 00:29:42 UTC
Committed with minor changes, thanks!
Please be careful of continuous multiple blank lines and avoid it.